%define desktop_file 1
%if %{desktop_file}
%define desktop_file_utils_version 0.2.93
%endif
Summary: CUPS front-end and library for Qt
Name: qtcups
Version: 2.0
Release: 12
Group: Applications/System
License: GPL
Source: ftp://cups.sourceforge.net/pub/cups/qtcups/%{name}-%{version}.tar.bz2
Source1: qtcups.desktop
Patch: qtcups-2.0-qt3.patch
Patch1: qtcups-2.0-gcc296.patch
URL: http://cups.sourceforge.net/qtcups
Requires: cups >= 1.1 qt >= 3.0.2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: cups-devel >= 1.1 qt-devel >= 3.0.2 autoconf213 automake14
%if %{desktop_file}
Requires: /usr/bin/desktop-file-install
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
QtCups provides CUPS support for Qt applications. It includes:
a CUPS front-end to be used as a replacement for "lpr", which
provides a nice graphical interface for print settings (printer,
configuration, ...)

%package devel
Summary: CUPS front-end and library for Qt
Group: System Environment/Libraries

%description devel
QtCups provides CUPS support for Qt applications. It includes:
a development library which enables Qt application to print to
CUPS and configure all CUPS printer options. The class QCupsPrinter
provides the same interface as QPrinter, sot code changes are
small for most applications.

%prep
%setup -q
%patch -p1 -b .qt3
%patch1 -p1 -b .gcc296
ln -s /usr/bin/automake-1.4 automake
ln -s /usr/bin/aclocal-1.4 aclocal
ln -s /usr/bin/autoconf-2.13 autoconf
ln -s /usr/bin/autoheader-2.13 autoheader
ln -s /usr/bin/autoreconf-2.13 autoreconf
export PATH=`pwd`:$PATH
for i in */*.ui; do
	rm -rf `echo $i |sed -e "s/\.ui$/.cpp/"` `echo $i |sed -e "s/\.ui$/.h/"`
done

%build
export PATH=`pwd`:$PATH
QTDIR="" && source /etc/profile.d/qt.sh
perl -pi -e "s,-lqt,-lqt-mt,g" configure* Make* */Make* *.kdepr*
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} install

cd $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/System/
%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
desktop-file-install --vendor net \
        --dir $RPM_BUILD_ROOT/usr/share/applications \
        --add-category "Application;System;X-Red-Hat-Base" \
        $RPM_BUILD_ROOT/etc/X11/applnk/System/qtcups.desktop
%endif

# remove qtcups.de, it's broken
rm -f $RPM_BUILD_ROOT/%{_prefix}/share/%{name}/qtcups.de*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%if %{desktop_file}
/etc/X11/applnk/System/*
%else
%config /etc/X11/applnk/System/qtcups.desktop
%endif
%doc %{_prefix}/share/%{name}/*
%{_bindir}/*
%{_libdir}/libqtcups.so.2*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/libqtcups.la

%changelog
* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Thu Jul 25 2002 Karsten Hopp <karsten@redhat.de>
- use desktop-file-utils

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 2.0-10
- build using gcc-3.2-0.1

* Sun May 26 2002 Tim Powers <timp@redhat.com> 2.0-9
- automated rebuild

* Thu May 23 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-8
- Use legacy auto* tools for now

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-7
- Rebuild

* Thu Apr 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-6
- Link against correct (threaded) Qt

* Tue Mar 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-5
- Add patch to work around gcc bug #61431

* Mon Jan 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-4
- Port to qt3
- Fix up spec file

* Tue May 15 2001 Than Ngo <than@redhat.com>
- rebuild against cups-1.1.7

* Wed Apr 18 2001 Than Ngo <than@redhat.com>
- clean up specfile
- don't install qtcups.de, it's broken

* Thu Mar 29 2001 Helge Deller <hdeller@redhat.de>
- upgrade to qtcups 2.0
- build for RedHat Linux 7.1 Extrabinge CD

* Wed Oct 25 2000 Than Ngo <than@redhat.com>
- fixed dlopen

* Mon Oct 23 2000 Than Ngo <than@redhat.com>
- initial RPM for RedHat Linux 7
